Categories
Create category
Create a new category for the current account.
POST
/
categories
Create category
curl --request POST \
--url https://cookiechimp.com/api/v1/categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category": {
"name": "Analytics",
"slug": "analytics",
"description": "Cookies that help us understand how the site is used",
"required": false
}
}
'import requests
url = "https://cookiechimp.com/api/v1/categories"
payload = { "category": {
"name": "Analytics",
"slug": "analytics",
"description": "Cookies that help us understand how the site is used",
"required": False
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
category: {
name: 'Analytics',
slug: 'analytics',
description: 'Cookies that help us understand how the site is used',
required: false
}
})
};
fetch('https://cookiechimp.com/api/v1/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "essential",
"name": "Essential",
"description": "Cookies essential for website functionality",
"slug": "essential",
"required": true,
"default_language": "en",
"created_at": "2023-01-01T00:00:00Z",
"updated_at": "2023-01-02T00:00:00Z"
}
}{
"errors": [
{
"code": 401,
"message": "API key must belong to an account"
}
]
}{
"errors": [
{
"error": "Name can't be blank"
}
]
}{
"errors": [
{
"code": 429,
"message": "Too many requests. Please retry later."
}
]
}Authorizations
API token obtained from the login endpoint or the dashboard
Body
application/json
Category to create
Show child attributes
Show child attributes
Response
Created category
Show child attributes
Show child attributes
Example:
{
"id": "essential",
"name": "Essential",
"description": "Cookies essential for website functionality",
"slug": "essential",
"required": true,
"default_language": "en",
"created_at": "2023-01-01T00:00:00Z",
"updated_at": "2023-01-02T00:00:00Z"
}
Was this page helpful?
⌘I
Create category
